Subject: Re: contribution soapbox(was Re: G++ guru's please comment - Re: FW: pthread_create problem in Cygwin 1.1.8-2])
From: Duke Normandin <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Mon, 9 Apr 2001 17:54:56 -0600

On Mon, Apr 09, 2001 at 10:36:40PM +1000, Robert Collins wrote:
[snip]

> Contributing to cygwin is not hard. In fact it's dead easy. The biggest
> obstacle is perception. All you need are basic C++ (even straight C will
> do if you're a hacker or just willing to try new things) skills, and a
> small target.
> 
> (Non-coders, you are hereby off the coding hook, and onto the why don't
> you contribute your knowledge in the form of feedback on documentation -
> something every open source project can use more of).
> 
> I strongly suspect that most of you coders out there are guilty of the
> thought "Gee it would be nice if cygwin had feature foo, but I [wouldn't
> know where to start to fix it|I don't have the time to contribute] so
> I'll just spend hours now working around the lack of foo".
> 
> I am guilty of that thought. Then one day I got tired of the the fact
> that I couldn't built squid with thread support, so I ported the thread
> code to win32 threads. During that port I realised just how thin a layer
> cygwin is over win32 - it's hardly there at all. So I threw out the
> win32 threads code, and fixed up what was missing in Cygwin. That core
                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Is there a code audit of these "contributions" to Cygwin? Can *anybody*
get in there and "commit" code/patches?
-- 
-duke

Calgary, Alberta, Canada

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple